如何在Ubuntu 10.04服务器上安装Jekyll?[英] How can I install Jekyll on Ubuntu 10.04 Server?

本文是小编为大家收集整理的关于如何在Ubuntu 10.04服务器上安装Jekyll?的处理方法,想解了如何在Ubuntu 10.04服务器上安装Jekyll?的问题怎么解决?如何在Ubuntu 10.04服务器上安装Jekyll?问题的解决办法?那么可以参考本文帮助大家快速定位并解决问题。

问题描述

安装 Jekyll 的权威指南似乎是 http://wiki.github.com/mojombo/jekyll/install 上面写着:

gem install jekyll

我得到一个

ERROR:  could not find gem jekyll locally or in a repository

无论我是否以超级用户身份运行该命令.
gem env 返回以下内容:

RubyGems Environment:
  - RUBYGEMS VERSION: 1.2.0
  - RUBY VERSION: 1.8.7 (2008-08-11 patchlevel 72) [i486-linux]
  - INSTALLATION DIRECTORY: /var/lib/gems/1.8
  - RUBY EXECUTABLE: /usr/bin/ruby1.8
  - EXECUTABLE DIRECTORY: /var/lib/gems/1.8/bin
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86-linux
  - GEM PATHS:
     - /var/lib/gems/1.8
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :benchmark => false
     - :backtrace => false
     - :bulk_threshold => 1000
     - :sources => ["http://gems.github.com/", "http://gems.rubyforge.org/"]
  - REMOTE SOURCES:
     - http://gems.github.com/
     - http://gems.rubyforge.org/

我也尝试过将 github 指定为源,但没有成功.我还应该尝试什么?

推荐答案

您使用的是非常过时的 RubyGems 版本.

首先,更新来源:

$ gem sources --clear-all
$ gem sources --add http://rubygems.org
$ gem sources --add http://gems.github.com

然后尝试安装它.

您还应该以超级用户身份登录并更新 RubyGems 版本.当前版本是 1.3.7.

本文地址:https://www.itbaoku.cn/post/786639.html